@vidasonik

Unfortunately, we have no new updates at this time. The OpenNi actors will not be updated to be Native for M1 systems (they will require Rosetta).

It would be best to open a support ticket so that we can coordinate looking into any crash reports you may have submitted as well as discuss your system configuration.